.beforecontent {
  position: relative;
}
#etusivulaatikko {
    z-index: 1000;
    position: relative;
    /*height: 444px;*/
    height: 326px;
    background-color: white;
    width: 550px;
}
#etusivulaatikko .varaamo {
    position: absolute;
    top: 9px;
    left: 9px;
    height: 302px;
    width: 530px;
    border: 1px solid #dfdfdf;
    z-index: 1000;
    
}
#etusivulaatikko .varaamo .waiting {
    display: none;
    position: absolute;
    top: -5px;
    left: 0px;
    height: 307px;
    line-height: 347px;
    text-align: center;
    width: 530px;
    -moz-opacity:.80;
    filter: alpha(opacity=80);
    opacity:.80;  
    z-index: 19999;
    background-color: white;
    background-position: center center;
    background-image: url(../images/ajax-loader.gif);
    background-repeat: no-repeat;
}
#etusivulaatikko .varaamo .napit {
    position: absolute;
    top: -6px;
    left: 0px;
}
#ostanappi {
    position: absolute;
    top: 0px;
    left: 0px;
    width: 64px;
    height: 26px;
    /*background-image: url(../images/etusivu/osta.gif);*/
    background: url(../images/sprite-etusivu-optimized.png) 0 -109px no-repeat;
    cursor: pointer;
}
#ostanappi.active {
    /*background-image: url(../images/etusivu/osta-active.gif);*/
    background-position: 0 -73px;
}
#haenappi {
    position: absolute;
    top: 0px;
    left: 61px;
    width: 66px;
    height: 26px;
    /*background-image: url(../images/etusivu/hae.gif);*/
    background: url(../images/sprite-etusivu-optimized.png) 0 -37px no-repeat;
    cursor: pointer;
}
#haenappi.active {
    /*background-image: url(../images/etusivu/hae-active.gif);*/
    background-position: 0 0;
}

#etusivulaatikko .varaamo .kategoriat {
    position: absolute;
    top: 20px;
    left: 0px;
    width: 126px;
    height: 282px;
    border-right: 1px solid #dfdfdf;
    overflow-x: hidden;
    overflow-y: auto;
}
#etusivulaatikko .varaamo .kategoriat h2 {
    text-indent: -9999px;
    margin-top: 20px;
    height: 19px;
    width: 112px;
    /*background: url(../images/etusivu/ostamatka_text.gif) 0 20px no-repeat;*/
    background: url(../images/sprite-etusivu-optimized.png) 0 -146px no-repeat;
}
.varaamo span.arrow {
  position: relative;
  left: 5px;
  display: inline;
  display: inline-block;
  height: 8px;
  width: 4px;
  margin-right: 10px;
}
.varaamo li.valittu span.arrow {
  background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAQAAAAICAMAAADp7a43AAAAIVBMVEX6+vr////////w8PDy8vL///////////8AAADv7+////+JqRKeAAAACXRSTlOzQGDu26AwEABRDzOPAAAAKElEQVR42hXKuQEAMAzCQJwPzP4DmzTXSLiSYDD4MHh/Ftwl9EtllgESsgDx+hdoswAAAABJRU5ErkJggg==);
  background-image: url(../images/varaamonuoli-active.png) !ie7;
  background-position: 0 0;
}
#etusivulaatikko .varaamo .matkatyypit {
    position: absolute;
    top: 0px;
    left: 127px;
    width: 147px;
    height: 302px;
    background-image: url(data:image/gif;base64,R0lGODlhkwABAIQUAO3y9e7y9e7z9u/z9vD09/H1+PL2+fP3+PP3+vT4+fX5+vj5+/b6+/n6/Pr7/fv8/vv9/P39/fz+/f7+/v///////////////////////////////////////////////yH5BAEKAB8ALAAAAACTAAEAAAU/ICWO1GSeKBqtq+RKUAw9NO3ceO40fO/zi+CCwVAYFYmk8sA8IJ5PgzQqNRSuWIJ2y9UOvuCvYAwom8/odCAEADs=);
    background-image: url(../images/etusivu/matkatyyppi_bg.gif) !ie7;
    background-repeat: repeat-y;
    border-right: 1px solid #dfdfdf;
    overflow-x: hidden;
    overflow-y: auto;
}
#etusivulaatikko .varaamo .matkatyypit li , #etusivulaatikko .varaamo .kategoriat li {
    padding-left: 5px;
    color: #0e3178;
    position: relative;
}
#etusivulaatikko .varaamo .matkatyypit-1 li,
#etusivulaatikko .varaamo .matkatyypit-2 li,
#etusivulaatikko .varaamo .matkatyypit-3 li,
#etusivulaatikko .varaamo .matkatyypit-4 li {
    top: 60px;
}
#etusivulaatikko .varaamo .matkatyypit-5 li,
#etusivulaatikko .varaamo .matkatyypit-6 li,
#etusivulaatikko .varaamo .matkatyypit-7 li,
#etusivulaatikko .varaamo .matkatyypit-8 li {
    top: 33px;
}
#etusivulaatikko .varaamo .matkatyypit li label, #etusivulaatikko .varaamo .kategoriat li label{
    display: block;
    /*width: 500px; * To prevent lines doubling */
    line-height: 15px;
    padding-top: 6px;
    padding-bottom: 6px;
    font-size: 11px;
}
#etusivulaatikko .varaamo .matkatyypit li.valittu, #etusivulaatikko .varaamo .kategoriat li.valittu{
    background-image: url(data:image/gif;base64,R0lGODlhAQAbAMQAAP+fAP91AP+jAP+aAP+NAP+0Af97AP+JAP+XAP+FAP+hAP91Af94AP+dAP+UAP+CAP+QAP9+APqpIv+iAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAACH5BAAAAAAALAAAAAABABsAAAUUoFQIU2lOCtAMiAMRR/JEBhMsUggAOw==);
    background-image: url(../images/etusivu/matkatyyppi_valittu_bg.gif) !ie7;
    background-position: left center;
    background-repeat: repeat-x;
    color: white;
    font-weight: bold;
}
#etusivulaatikko .varaamo .matkatyypit input, #etusivulaatikko .varaamo .kategoriat input {
    position: absolute;
    top: 0;
    left: -5000px;
    float: right;
    /* Emme halua että valintalootat näkyvät, mutta niiden on oltava jossain "näkyvillä", muuten IE ei suostu klikkaamaan niitä labeleiden kautta. */
}
#etusivulaatikko .iframevaraamo {
    display: none;
    position: absolute;
    top: 10px;
    left: 136px;
    z-index: 1001;
}
#etusivulaatikko #amadeus iframe {
    position: absolute;
    top: -34px;
    left: 0px;
}
#etusivulaatikko .varaamo .valitsimet {
    position: absolute;
    top: 0px;
    left: 275px;
    width: 255px;
    height: 302px;
    font-size: 12px;
}
.valitsimet #kuljetuksenmuuttaminen {
	position: absolute;
	top: 10px;
	left: 10px;
    z-index: 1002;
}
.valitsimet #kuljetuksenmuuttaminen  h3 {
    font-size: 12px;
    font-weight: normal;
    color:#043882;
    margin-bottom: 5px;
}

.valitsimet .calendar {
	position: absolute;
	top: 71px;
	left: 14px;
}


.valitsimet #alennuskoodi {
  position: absolute;
  left: 17px;
  top: 232px;
  /*background: url(../../../components/com_varaamo/images/alennuskoodi-input.gif);*/
background: url(../images/sprite-etusivu-optimized.png) 0 -736px no-repeat;
  border-width: 0px;
  width: 188px;
  height: 17px;
  padding: 2px;
  text-align: center;
}
.valitsimet #alennuskoodi.no-code{
  color: #6f8590;
}
.valitsimet #alennuskoodi:focus {
  color: #3e4a50;
}

.valitsimet  .message  {
	position: absolute;
	bottom: 10px;
	left: 18px;
  z-index: 2000;
  font-size: 24px;
  color:#043882;
  display: none;
  padding: 0;
  margin: 0;
  background: white;
  border: 2px solid #043882;
  left: 21px;
  padding: 10px;
  text-align: center;
  width: 250px;
}
.valitsimet  .message .close {
  float: right;
  font-size: 20px;
  margin-top: -10px;
  cursor: pointer;
}

.valitsimet  .message .formated {
  font-size: 12px;

}

.valitsimet .lapsia,
.valitsimet .aikuisia {
	position: absolute;
	top: 255px;
}
.valitsimet .aikuisia {
	left: 18px;
}
.valitsimet .lapsia {
	left: 91px;
}
.valitsimet .lapsia .selector,
.valitsimet .aikuisia  .selector{
  margin-top: 5px;
  margin-left: -5px;
}
.valitsimet .aikuisia select, .valitsimet .lapsia  select {
    display: block;
}

.valitsimet  .submit {
	position: absolute;
	top: 271px;
	left: 191px;
}

#etusivulaatikko .skrollibanneri {
    position: absolute;
    top: 326px;
    width:940px;
    left: 0px;
    height: 118px;
    background-color: #294888;

}
#etusivulaatikko div.selector {
    display: block;
}
